Skip to main content
Version: 1.0
Endpoints Summary
GET All relays
GET One pool relays by pool update unique identifier
GET One pool relays by VRF key hash
GET All relays OData
GET One pool relays by pool update unique identifier OData

GET All relays​

Returns all pool relays.

GET /api/core/pools/relays/updates

👨‍💻 Code samples​

const CBI = await new CardanoBI({ apiKey: 'YOUR-KEY', apiSecret: 'YOUR-SECRET' }); 
const relays_updates = await CBI.core.pools.relays.updates_();
console.log(relays_updates);

💌 Response Codes​

OK: Successful request.

[
{
"id": 1,
"update_id": 1,
"ipv4": "54.220.20.40",
"ipv6": null,
"dns_name": null,
"dns_srv_name": null,
"port": 3002
},
"...",
{
"id": 20,
"update_id": 11,
"ipv4": null,
"ipv6": null,
"dns_name": "relay0.bluecheesestakehouse.com",
"dns_srv_name": null,
"port": 5000
}
]

💌 Response Schemas​

Status Code 200

NameTypeDescription
idinteger(int64)The pool relay unique identifier.
update_idinteger(int64)The PoolUpdate table index this PoolRelay entry refers to.
ipv4stringThe IPv4 address of the relay.
ipv6stringThe IPv6 address of the relay.
dns_namestringThe DNS name of the relay.
dns_srv_namestringThe DNS service name of the relay.
portinteger(int32)The port number of relay.

GET One pool relays by pool update unique identifier​

Returns the relays for one pool given a pool update unique identifier.

GET /api/core/pools/relays/updates/{update_id}

🎰 Parameters​

NameDescriptionInTypeRequired
update_idThe pool update unique identifierpathintegertrue

👨‍💻 Code samples​

const CBI = await new CardanoBI({ apiKey: 'YOUR-KEY', apiSecret: 'YOUR-SECRET' }); 
const relays_updates = await CBI.core.pools.relays.updates_({ update_id: 1 });
console.log(relays_updates);

💌 Response Codes​

OK: Successful request.

[
{
"id": 1,
"update_id": 1,
"ipv4": "54.220.20.40",
"ipv6": null,
"dns_name": null,
"dns_srv_name": null,
"port": 3002
},
"...",
{
"id": 1,
"update_id": 1,
"ipv4": "54.220.20.40",
"ipv6": null,
"dns_name": null,
"dns_srv_name": null,
"port": 3002
}
]

💌 Response Schemas​

Status Code 200

NameTypeDescription
idinteger(int64)The pool relay unique identifier.
update_idinteger(int64)The PoolUpdate table index this PoolRelay entry refers to.
ipv4stringThe IPv4 address of the relay.
ipv6stringThe IPv6 address of the relay.
dns_namestringThe DNS name of the relay.
dns_srv_namestringThe DNS service name of the relay.
portinteger(int32)The port number of relay.

GET One pool relays by VRF key hash​

Returns the relays for one pool given its VRF key hash.

GET /api/core/pools/{vrf_key_hash}/relays/updates

🎰 Parameters​

NameDescriptionInTypeRequired
vrf_key_hashThe pool VRF key in HEX format.pathstringtrue

👨‍💻 Code samples​

const CBI = await new CardanoBI({ apiKey: 'YOUR-KEY', apiSecret: 'YOUR-SECRET' }); 
const relays_updates = await CBI.core.pools.relays.updates_({ vrf_key_hash: "9be345bcbcb0cf0559b1135467fd2e4c78c741898cdf8bcb737b2dc5122632df" });
console.log(relays_updates);

💌 Response Codes​

OK: Successful request.

[
{
"id": 1,
"update_id": 1,
"ipv4": "54.220.20.40",
"ipv6": null,
"dns_name": null,
"dns_srv_name": null,
"port": 3002
},
"...",
{
"id": 20,
"update_id": 11,
"ipv4": null,
"ipv6": null,
"dns_name": "relay0.bluecheesestakehouse.com",
"dns_srv_name": null,
"port": 5000
}
]

💌 Response Schemas​

Status Code 200

NameTypeDescription
idinteger(int64)The pool relay unique identifier.
update_idinteger(int64)The PoolUpdate table index this PoolRelay entry refers to.
ipv4stringThe IPv4 address of the relay.
ipv6stringThe IPv6 address of the relay.
dns_namestringThe DNS name of the relay.
dns_srv_namestringThe DNS service name of the relay.
portinteger(int32)The port number of relay.

GET All relays OData​

Returns all pool relays.

GET /api/core/odata/poolsrelays

👨‍💻 Code samples​

const CBI = await new CardanoBI({ apiKey: 'YOUR-KEY', apiSecret: 'YOUR-SECRET' }); 
const poolsrelays = await CBI.core.poolsrelays_({ "odata": true });
console.log(poolsrelays);

💌 Response Codes​

OK: Successful request.

{
"@odata.context": "https://cardanobi.io/api/core/odata/$metadata#PoolsRelays",
"value": [
{
"id": 1,
"update_id": 1,
"ipv4": "54.220.20.40",
"ipv6": null,
"dns_name": null,
"dns_srv_name": null,
"port": 3002
},
"...",
{
"id": 20,
"update_id": 11,
"ipv4": null,
"ipv6": null,
"dns_name": "relay0.bluecheesestakehouse.com",
"dns_srv_name": null,
"port": 5000
}
],
"@odata.nextLink": "https://cardanobi.io/api/core/odata/poolsrelays?$skip=20"
}

💌 Response Schemas​

Status Code 200

NameTypeDescription
idinteger(int64)The pool relay unique identifier.
update_idinteger(int64)The PoolUpdate table index this PoolRelay entry refers to.
ipv4stringThe IPv4 address of the relay.
ipv6stringThe IPv6 address of the relay.
dns_namestringThe DNS name of the relay.
dns_srv_namestringThe DNS service name of the relay.
portinteger(int32)The port number of relay.

GET One pool relays by pool update unique identifier OData​

Returns the relays for one pool given a pool update unique identifier.

GET /api/core/odata/poolsrelays/{update_id}

🎰 Parameters​

NameDescriptionInTypeRequired
update_idThe pool update unique identifierpathintegertrue

👨‍💻 Code samples​

const CBI = await new CardanoBI({ apiKey: 'YOUR-KEY', apiSecret: 'YOUR-SECRET' }); 
const poolsrelays = await CBI.core.poolsrelays_({ "odata": true, update_id: 1 });
console.log(poolsrelays);

💌 Response Codes​

OK: Successful request.

{
"@odata.context": "https://cardanobi.io/api/core/odata/$metadata#PoolsRelays",
"value": [
{
"id": 1,
"update_id": 1,
"ipv4": "54.220.20.40",
"ipv6": null,
"dns_name": null,
"dns_srv_name": null,
"port": 3002
},
"...",
{
"id": 1,
"update_id": 1,
"ipv4": "54.220.20.40",
"ipv6": null,
"dns_name": null,
"dns_srv_name": null,
"port": 3002
}
]
}

💌 Response Schemas​

Status Code 200

NameTypeDescription
idinteger(int64)The pool relay unique identifier.
update_idinteger(int64)The PoolUpdate table index this PoolRelay entry refers to.
ipv4stringThe IPv4 address of the relay.
ipv6stringThe IPv6 address of the relay.
dns_namestringThe DNS name of the relay.
dns_srv_namestringThe DNS service name of the relay.
portinteger(int32)The port number of relay.